/*
 * Address Conversion Tool
 *
 * Organization : OGCIO(E)11A
 * Last modified: 10/06/2004
 *
 * @author TH HEUNG
 * @version 1.0
*/

package hksarg.ogcio.AddressConversion.ConversionRule;

import hksarg.ogcio.AddressConversion.FreeTextAddress;

public abstract class Rule
{
	protected int[] outputDimension;
	
	public Rule()
	{
		outputDimension = null;
	}
	
	public Rule(int[] outputDimension)
	{
		this.outputDimension = outputDimension;
	}
	
	public void setOutputDimension(int[] outputDimension)
	{
		this.outputDimension = outputDimension;
	}
	
	public abstract boolean fire(FreeTextAddress source) throws ConvertAddressException;
}
