/*
 * Address Conversion Tool
 *
 * Organization : OGCIO(E)11A
 * Last modified: 21/07/2004
 *
 * @author TH HEUNG
 * @version 1.0
*/

package hksarg.ogcio.AddressConversion.Tokenizer;

public class GroupBasedFuzzyToken extends DefaultFuzzyToken
{
	public static final double DEFAULT_LINGUISTIC_MINIMUM = 0.101;
	
	public GroupBasedFuzzyToken(String[] wordArray, int wordPosition)
	throws ArrayIndexOutOfBoundsException
	{
		super(wordArray,wordPosition);
	}
	
	public int getLinguisticStartPosition()
	{
		int i;
		for (i=0;i<linguistic.length;i++)
		{
			if (linguistic[i] >= DEFAULT_LINGUISTIC_MINIMUM)
				return i;
		}
		return 0;
	}
	
	public int getLinguisticEndPosition()
	{
		int i;
		for (i=linguistic.length-1;i>=0;i--)
		{
			if (linguistic[i] >= DEFAULT_LINGUISTIC_MINIMUM)
				break;
		}
		return i;
	}
}
