/*
 * Address Conversion Tool
 *
 * Organization : OGCIO(E)11A
 * Last modified: 10/06/2004
 *
 * @author TH HEUNG
 * @version 1.0
*/

package hksarg.ogcio.AddressConversion.ConversionRule;

import hksarg.ogcio.AddressConversion.FreeTextAddress;

public class Rule0 extends Rule
{
	public Rule0()
	{
		super();
	}
	
	public Rule0(int[] dimension)
	{
		super(dimension);
	}
	
	public boolean fire(FreeTextAddress source)
	throws ConvertAddressException
	{
		int sourceLineTotal = source.getLineTotal();
		try
		{
			for (int i=0;i<sourceLineTotal;i++)
			{
				if (source.getLine(i).length() > outputDimension[i])
					return false;
			}
		}
		catch (ArrayIndexOutOfBoundsException ex)
		{
			return false;
		}
		return true;
	}
}
